<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>getParameters - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="command.html">command</a></li><li><a href="ozon.html">ozon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ozon.html#.ozonForward">ozonForward</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonTurn">ozonTurn</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonLight">ozonLight</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonStop">ozonStop</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonWhere">ozonWhere</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonMove">ozonMove</a></li><li data-type='method' style='display: none;'><a href="ozon.html#.ozonCommand">ozonCommand</a></li></ul></li><li><a href="getParameters.html">getParameters</a></li><li><a href="room.html">room</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="room.html#.coverSet">coverSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.doorSet">doorSet</a></li><li data-type='method' style='display: none;'><a href="room.html#.gateSet">gateSet</a></li></ul></li><li><a href="rpi.html">rpi</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="rpi.html#.rpiAngularCommand">rpiAngularCommand</a></li><li data-type='method' style='display: none;'><a href="rpi.html#.rpiContinuousCommand">rpiContinuousCommand</a></li></ul></li><li><a href="scene.html">scene</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="scene.html#.getView">getView</a></li><li data-type='method' style='display: none;'><a href="scene.html#.setViewShift">setViewShift</a></li><li data-type='method' style='display: none;'><a href="scene.html#.getScene">getScene</a></li></ul></li><li><a href="wagon.html">wagon</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="wagon.html#.wagonShift">wagonShift</a></li><li data-type='method' style='display: none;'><a href="wagon.html#.wagonRoom">wagonRoom</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">getParameters</h1>
    

    




<section>

<header>
    
        <h2>
        
            getParameters
        
        </h2>
        
            <div class="class-description usertext"><ul>
<li>@static</li>
</ul></div>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    
    <h2>Constructor</h2>
    

    <h4 class="name" id="getParameters"><span class="type-signature"></span>factory getParameters<span class="type-signature"> &rarr; {JSON}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the tabletob parameters</p>
<ul>
<li>The tabletob parameters are defined in the <a href="https://gitlab.inria.fr/line/aide-group/tabletop/blob/master/src/tabletop.json">./src/tabletob.json</a> file.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



























<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The parameter data structure as a read-only reference.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">JSON</span>



    </dd>
</dl>

    



        
        </div>
    

    

    

    
    
    

     

    

    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>